# coding=utf-8

from django.conf.urls import url, include
from rest_framework.routers import SimpleRouter

from .views import *

urlpatterns = [
    url(r'dict/$', DictView.as_view()),
    url(r'series/search/$', VehicleSeriesSearch.as_view()),
    url(r'model/search/$', VehicleModelSearch.as_view()),
    url(r'brand/search/$', VehicleBrandSearch.as_view()),
]

router = SimpleRouter()
router.register(r'brand', VehicleBrandViewSet)
router.register(r'series', VehicleSeriesViewSet)
router.register(r'model', VehicleModelViewSet)
router.register(r'images', VehicleImageViewSet)
urlpatterns += router.urls
